visClusteringByConnection {visNetwork} | R Documentation

## Network visualization clustering options - by node id

### Description

Network visualization clustering options - by node id

### Usage

    visClusteringByConnection(graph, nodes)

### Arguments

`graph` | : a visNetwork object
`nodes` | : Character/vector. id of nodes we want to cluster

### Examples

    set.seed(124)
    nodes <- data.frame(id = 1:10, color = c(rep("blue", 6), rep("red", 3), rep("green", 1)))
    edges <- data.frame(from = round(runif(6)*10), to = round(runif(6)*10))

     visNetwork(nodes, edges) %>%
       visClusteringByConnection(nodes = 9)

[Package visNetwork version 2.0.1 Index]